mcrypt_module_open
mcrypt_ofb
Mcrypt Functions
PHP Manual

# mcrypt_module_self_test

This function runs a self test on the specified module

### Description

bool mcrypt_module_self_test ( string `$algorithm` [, string `$lib_dir` ] )

This function runs the self test on the algorithm specified.

### Parameters

`algorithm`

  One of the `MCRYPT_ciphername` constants, or the name of the algorithm as string.

`lib_dir`

  The optional `lib_dir` parameter can contain the location where the algorithm module is on the system.

### Return Values

The function returns `TRUE` if the self test succeeds, or `FALSE` when it fails.

### Examples

Example #1 mcrypt_module_self_test example

`<?php
var_dump(mcrypt_module_self_test(MCRYPT_RIJNDAEL_128)) . "\n";
var_dump(mcrypt_module_self_test(MCRYPT_BOGUS_CYPHER));
?>`

The above example will output:

    bool(true)
    bool(false)